Bug 855588 - Review Request: ghc-concrete-typerep - Provides Binary and Hashable instances for TypeRep.
Review Request: ghc-concrete-typerep - Provides Binary and Hashable instances...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
Ready
:
Depends On:
Blocks: yi
  Show dependency treegraph
 
Reported: 2012-09-09 04:46 EDT by Narasimhan
Modified: 2014-11-12 18:14 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-concrete-typerep-0.1.0.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-06 22:54:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2012-09-09 04:46:47 EDT
Spec file:
http://narasim.fedorapeople.org/package_reviews/ghc-concrete-typerep.spec

SRPM link:
http://narasim.fedorapeople.org/package_reviews/ghc-concrete-typerep-0.1.0.1-1.fc17.src.rpm

reverse deps:
http://packdeps.haskellers.com/reverse/concrete-typerep

rpmlint output:
rpmlint  -i ghc-concrete-typerep-0.1.0.1-1.fc17.x86_64.rpm ghc-concrete-typerep-devel-0.1.0.1-1.fc17.x86_64.rpm ghc-concrete-typerep-0.1.0.1-1.fc17.src.rpm  ../ghc-concrete-typerep.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Koji build for f17:
https://koji.fedoraproject.org/koji/taskinfo?taskID=4469224

For F18 and greater, we need to add configure flags to cabal. Link to spec file for f18 
http://narasim.fedorapeople.org/package_reviews/ghc-concrete-typerep-f18.spec
Comment 1 Jens Petersen 2012-09-10 20:58:50 EDT
(In reply to comment #0)
> For F18 and greater, we need to add configure flags to cabal. Link to spec
> file for f18 
> http://narasim.fedorapeople.org/package_reviews/ghc-concrete-typerep-f18.spec

Then please make it conditional.  One spec file should be able to build
for both f18 and earlier.
Comment 3 Jens Petersen 2012-10-30 23:10:13 EDT
It is better to patch the flag default in the .cabal file actually for tools
like cabal-rpm - sorry didn't think to mention that earlier.
Since the flag is only needed for ghc > 7.2, ie currently only f18 and f19,
it is not needed for epel currently.
Comment 4 Narasimhan 2012-12-02 02:14:03 EST
Jens,
Thanks for the suggestion. I have created a patch to make new-typerep flag True by default. 

http://narasim.fedorapeople.org/package_reviews/ghc-concrete-typerep.spec

http://narasim.fedorapeople.org/package_reviews/ghc-concrete-typerep-0.1.0.1-3.fc17.src.rpm

rpmlint output:
rpmlint  -i ghc-concrete-typerep-0.1.0.1-3.fc17.x86_64.rpm ghc-concrete-typerep-devel-0.1.0.1-3.fc17.x86_64.rpm  ghc-concrete-typerep-0.1.0.1-3.fc17.src.rpm  ../ghc-concrete-typerep.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 6 Shakthi Kannan 2012-12-14 08:54:49 EST
#01 Group is deprecated

#02 Please mention the name of the package and the version in the patch filename

#03 Can you please update the spec using cabal2rpm?
Comment 7 Narasimhan 2012-12-18 22:38:58 EST
Spec file:
http://narasim.fedorapeople.org/package_reviews/ghc-concrete-typerep.spec

SRPM link:
http://narasim.fedorapeople.org/package_reviews/ghc-concrete-typerep-0.1.0.1-4.fc17.src.rpm

rpmlint output:
rpmlint  -i ghc-concrete-typerep-0.1.0.1-4.fc17.src.rpm ghc-concrete-typerep-devel-0.1.0.1-4.fc17.x86_64.rpm ghc-concrete-typerep-0.1.0.1-4.fc17.x86_64.rpm  ../ghc-concrete-typerep.spec
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 8 Shakthi Kannan 2012-12-19 04:18:38 EST
The build fails for F18, and F19.

  http://koji.fedoraproject.org/koji/taskinfo?taskID=4802235

  http://koji.fedoraproject.org/koji/taskinfo?taskID=4802236

  Configuring concrete-typerep-0.1.0.1...
  Setup: At least the following dependencies are missing:
  ghc >=7.2
Comment 10 Shakthi Kannan 2012-12-19 06:34:06 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

$ rpmlint ghc-concrete-typerep.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-concrete-typerep-0.1.0.1-4.fc17.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ghc-concrete-typerep-devel-0.1.0.1-4.fc17.x86_64.rpm
ghc-concrete-typerep-devel.x86_64: W: invalid-url URL: http://hackage.haskell.org/package/concrete-typerep timed out
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ghc-concrete-typerep-0.1.0.1-4.fc17.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK, based on cabal-rpm-0.6.6
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - OK
        %clean is ignored - OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
License is BSD
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

$ md5sum concrete-typerep-0.1.0.1.tar.gz 
9390a961061c4c1f96b154d42cae8873  concrete-typerep-0.1.0.1.tar.gz

$ md5sum concrete-typerep-0.1.0.1.tar.gz 
9390a961061c4c1f96b154d42cae8873  concrete-typerep-0.1.0.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[NA]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

APPROVED.
Comment 11 Narasimhan 2012-12-19 10:08:43 EST
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-concrete-typerep
Short Description: Provides Binary and Hashable instances for TypeRep
Owners: narasim
Branches: f16 f17 f18
InitialCC: haskell-sig
Comment 12 Jon Ciesla 2012-12-19 10:29:43 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-12-25 05:34:20 EST
ghc-concrete-typerep-0.1.0.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-concrete-typerep-0.1.0.1-4.fc16
Comment 14 Fedora Update System 2012-12-25 05:35:39 EST
ghc-concrete-typerep-0.1.0.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-concrete-typerep-0.1.0.1-4.fc17
Comment 15 Fedora Update System 2012-12-25 05:35:41 EST
ghc-concrete-typerep-0.1.0.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-concrete-typerep-0.1.0.1-4.fc18
Comment 16 Fedora Update System 2012-12-25 15:14:37 EST
ghc-concrete-typerep-0.1.0.1-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 17 Narasimhan 2012-12-28 00:47:52 EST
Package Change Request
======================
Package Name: ghc-concrete-typerep
New Branches: el6
Owners: narasim
InitialCC: haskell-sig
Comment 18 Kevin Fenzi 2012-12-30 15:17:10 EST
Git done (by process-git-requests).
Comment 19 Fedora Update System 2012-12-31 03:09:04 EST
ghc-concrete-typerep-0.1.0.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-concrete-typerep-0.1.0.1-4.el6
Comment 20 Fedora Update System 2013-01-06 22:54:48 EST
ghc-concrete-typerep-0.1.0.1-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 21 Fedora Update System 2013-01-07 02:22:49 EST
ghc-concrete-typerep-0.1.0.1-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 22 Fedora Update System 2013-01-11 19:35:42 EST
ghc-concrete-typerep-0.1.0.1-4.fc18 has been pushed to the Fedora 18 stable repository.
Comment 23 Fedora Update System 2013-07-22 17:44:47 EDT
ghc-concrete-typerep-0.1.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 24 Jens Petersen 2014-10-22 23:45:51 EDT
Package Change Request
======================
Package Name: ghc-concrete-typerep
New Branches: epel7
Owners: petersen
InitialCC: haskell-sig
Comment 25 Jon Ciesla 2014-10-23 08:25:20 EDT
Git done (by process-git-requests).
Comment 26 Fedora Update System 2014-10-24 05:55:30 EDT
ghc-concrete-typerep-0.1.0.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-concrete-typerep-0.1.0.2-2.el7
Comment 27 Fedora Update System 2014-11-12 18:14:38 EST
ghc-concrete-typerep-0.1.0.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.